org.jboss.jca.common.api.metadata.common

## Enum Credential.Tag

- java.lang.Object
- - java.lang.Enum<Credential.Tag>
  - - org.jboss.jca.common.api.metadata.common.Credential.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Credential.Tag>
  Enclosing interface:
    Credential

      public static enum Credential.Tag
      extends java.lang.Enum<Credential.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PASSWORD` password tag
    `SECURITY_DOMAIN` security-domain tag
    `UNKNOWN` always first
    `USER_NAME` userName tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Credential.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static Credential.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Credential.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Credential.Tag UNKNOWN

      always first

    - #### USER_NAME

          public static final Credential.Tag USER_NAME

      userName tag

    - #### PASSWORD

          public static final Credential.Tag PASSWORD

      password tag

    - #### SECURITY_DOMAIN

          public static final Credential.Tag SECURITY_DOMAIN

      security-domain tag

  - ### Method Detail

    - #### values

          public static Credential.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Credential.Tag c : Credential.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Credential.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Credential.Tag>`

    - #### forName

          public static Credential.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)